VERSION 5.00
Begin VB.Form frmQuality 
   BorderStyle     =   3  'Œ޲۸
   Caption         =   "Recording Quality"
   ClientHeight    =   2490
   ClientLeft      =   4125
   ClientTop       =   4170
   ClientWidth     =   4800
   Icon            =   "frmQuality.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2490
   ScaleWidth      =   4800
   ShowInTaskbar   =   0   'False
   Begin VB.Frame fraChannel 
      Caption         =   "Channel"
      Height          =   1095
      Left            =   1680
      TabIndex        =   4
      Top             =   1320
      Width           =   1695
      Begin VB.OptionButton optChannel 
         Caption         =   "Stereo"
         Height          =   255
         Index           =   1
         Left            =   240
         TabIndex        =   12
         Top             =   600
         Width           =   1095
      End
      Begin VB.OptionButton optChannel 
         Caption         =   "Mono"
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   11
         Top             =   240
         Width           =   1095
      End
   End
   Begin VB.Frame fraQuantization 
      Caption         =   "Quantization Bit"
      Height          =   1095
      Left            =   1680
      TabIndex        =   3
      Top             =   120
      Width           =   1695
      Begin VB.OptionButton optQuantization 
         Caption         =   "16bit"
         Height          =   375
         Index           =   1
         Left            =   240
         TabIndex        =   10
         Top             =   600
         Width           =   735
      End
      Begin VB.OptionButton optQuantization 
         Caption         =   "8bit"
         Height          =   375
         Index           =   0
         Left            =   240
         TabIndex        =   9
         Top             =   240
         Width           =   615
      End
   End
   Begin VB.Frame fraSamplingRate 
      Caption         =   "Sampling Rate"
      Height          =   2295
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   1455
      Begin VB.OptionButton optSamplingRate 
         Caption         =   "44000Hz"
         Height          =   375
         Index           =   3
         Left            =   240
         TabIndex        =   8
         Top             =   1320
         Width           =   1095
      End
      Begin VB.OptionButton optSamplingRate 
         Caption         =   "22050Hz"
         Height          =   375
         Index           =   2
         Left            =   240
         TabIndex        =   7
         Top             =   960
         Width           =   1095
      End
      Begin VB.OptionButton optSamplingRate 
         Caption         =   "8000Hz"
         Height          =   375
         Index           =   0
         Left            =   240
         TabIndex        =   6
         Top             =   240
         Width           =   1095
      End
      Begin VB.OptionButton optSamplingRate 
         Caption         =   "11025Hz"
         Height          =   375
         Index           =   1
         Left            =   240
         TabIndex        =   5
         Top             =   600
         Width           =   1095
      End
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   3600
      TabIndex        =   1
      Top             =   240
      Width           =   1095
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3600
      TabIndex        =   0
      Top             =   720
      Width           =   1095
   End
End
Attribute VB_Name = "frmQuality"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'--------------------------------------------------------------------------------------------------=
'    Written/copyright 2000 by Eiji Sakai (sake@istar.ca)
'
'    This software may be used and distributed according to the terms
'    of the GNU Public License.
'
'    This program allows you to improve your listening in the languages
'    you want to learn.
'
'    Support and updates available at
'    http://www.istar.ca/~sake/
'--------------------------------------------------------------------------------------------------=


Public m_nSamplingRate As Long
Public m_nQBits As Long
Public m_nChannels As Long

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOK_Click()
    If optSamplingRate(0) Then
        m_nSamplingRate = 8000
    End If
    If optSamplingRate(1) Then
        m_nSamplingRate = 11025
    End If
    If optSamplingRate(2) Then
        m_nSamplingRate = 22050
    End If
    If optSamplingRate(3) Then
        m_nSamplingRate = 44100
    End If
    
    If optQuantization(0).Value Then
        m_nQBits = 8
    Else
        m_nQBits = 16
    End If
    
    If optChannel(0).Value = True Then
        m_nChannels = 1
    Else
        m_nChannels = 2
    End If
    
    Unload Me
End Sub

Private Sub Form_Initialize()
    m_nSamplingRate = 22050
    m_nQBits = 16
    m_nChannels = 1
End Sub

Private Sub Form_Load()
    Dim i As Long

    For i = 0 To 3
        optSamplingRate(i).Value = False
    Next
    optQuantization(0).Value = False
    optQuantization(1).Value = False
    optChannel(0).Value = False
    optChannel(1).Value = False

    Select Case m_nSamplingRate
        Case 8000
            optSamplingRate(0).Value = True
        Case 11025
            optSamplingRate(1).Value = True
        Case 22050
            optSamplingRate(2).Value = True
        Case 44100
            optSamplingRate(3).Value = True
        Case Else
            m_nSamplingRate = 22050
            optSamplingRate(2).Value = True
    End Select
    
    If m_nQBits = 8 Then
        optQuantization(0).Value = True
    Else
        optQuantization(1).Value = True
    End If
    
    If m_nChannels = 1 Then
        optChannel(0).Value = True
    Else
        optChannel(1).Value = False
    End If
    
End Sub

